mbed TLS v2.23.0

Data Fields
psa_key_attributes_s Struct Reference

`#include <crypto_struct.h>`

Collaboration diagram for psa_key_attributes_s:
[legend]

## Data Fields
psa_core_key_attributes_t | core
void * | domain_parameters
size_t | domain_parameters_size

## Detailed Description

Definition at line 342 of file crypto_struct.h.

## Field Documentation

## ◆ core

psa_core_key_attributes_t psa_key_attributes_s::core

Definition at line 344 of file crypto_struct.h.

Referenced by psa_get_key_algorithm(), psa_get_key_bits(), psa_get_key_enrollment_algorithm(), psa_get_key_id(), psa_get_key_lifetime(), psa_get_key_type(), psa_get_key_usage_flags(), psa_set_key_algorithm(), psa_set_key_bits(), psa_set_key_enrollment_algorithm(), psa_set_key_id(), psa_set_key_lifetime(), psa_set_key_type(), and psa_set_key_usage_flags().

## ◆ domain_parameters

void* psa_key_attributes_s::domain_parameters

Definition at line 348 of file crypto_struct.h.

Referenced by psa_set_key_type().

## ◆ domain_parameters_size

size_t psa_key_attributes_s::domain_parameters_size

Definition at line 349 of file crypto_struct.h.

The documentation for this struct was generated from the following file:

- crypto_struct.h